"""
**********************************************************************
File Name:      TEST_FLEXA.py
Dev:            Daniele De Santis
Email:          desantis@areasx.com
Web:            http://www.areasx.com

Versione:       0.1
Data:           06/09/07
Note Hardware:  
Note Software:  
**********************************************************************
"""
import FLEXANALOG
import MOD

#Inizializzazione I/O
IIC_DATA  = 3
IIC_CLOCK = 4

FLEX=FLEXANALOG.FLEXANALOG(IIC_DATA, IIC_CLOCK)

#Init chip TEMP
while(1):
  ret = FLEX.INIT_TEMP(3)
  print "INIT TEMP Ritorno %d " % ret
  if(ret>0):
    i=0
    while(1):
      print "AD 1"
      ret = FLEX.READ_AD(0)
      if(ret>0):
        print "Byte %d --> %d  V%s" % (0, ret[0], FLEX.Point2Volt(ret[0]))
        print "Byte %d --> %d  V%s" % (1, ret[1], FLEX.Point2Volt(ret[1]))
        print "Byte %d --> %d  V%s" % (2, ret[2], FLEX.Point2Volt(ret[2]))
        print "Byte %d --> %d  V%s" % (3, ret[3], FLEX.Point2Volt(ret[3]))
      else:
        print "ERRORE AD 1 Ritorno %d " % ret
      print "----------------------"

      print "AD 2"
      ret = FLEX.READ_AD(1)
      if(ret>0):
        print "Byte %d --> %d  V%s" % (0, ret[0], FLEX.Point2Volt(ret[0]))
        print "Byte %d --> %d  V%s" % (1, ret[1], FLEX.Point2Volt(ret[1]))
        print "Byte %d --> %d  V%s" % (2, ret[2], FLEX.Point2Volt(ret[2]))
        print "Byte %d --> %d  V%s" % (3, ret[3], FLEX.Point2Volt(ret[3]))
      else:
        print "ERRORE AD 2 Ritorno %d " % ret
      print "----------------------"
      
      
      print "Settaggio DA 1"
      ret=FLEX.WRITE_DA(0, i)
      print "Ritorno %d " % ret
      if(ret<0):
        print "ERRORE DA 1"
      MOD.sleep(10)
      print "Settaggio DA 2"
      ret=FLEX.WRITE_DA(1, i)
      print "Ritorno %d " % ret
      if(ret<0):
        print "ERRORE DA 2"
      print "I vale: %d" % i
      if(i<=255):
        i=i+5
      else:
        i=0
      print "----------------------"
      
      print "Temperatura"
      ret=FLEX.READ_TEMP(3)
      if(ret>0):
        print "Byte %d --> %d" % (0, ret[0])
        print "Byte %d --> %d" % (1, ret[1])
        
        print "TEMPERATURA RIVELATA: %s C" % FLEX.Point2Temp(ret)
      else:
        print "Ritorno %d " % ret
      print "----------------------"
      MOD.sleep(50)
  MOD.sleep(50)